Subject: bug#54656: 29.0.50; [menu] key is not read anymore

From: Po Lu <[email-masked]>
Date: Fri, 22 Apr 2022 08:51:34 +0800

[email-masked] writes:

>> I guess what you have to do is to step through each statement until you
>> find out why it isn't reaching this piece of handle_one_xevent:
>
> It seems the key is ... initialized to 0 ?
>
> (gdb) p xkey
> $13 = {type = 0, serial = 0, send_event = 1466608144,
>   display = 0x898f22a9e227e100, window = 140737488343872, root = 93824994679155,
>   subwindow = 0, time = 93824993826130, x = 2, y = 0, x_root = 0, y_root = 0,
>   state = 0, keycode = 0, same_screen = 0}

I think your Emacs is out of date, since this shouldn't be possible if
the breakpoint was set to the location I asked.

> [...]
>
> (gdb) u
> x_emacs_to_x_modifiers (dpyinfo=0x555557727a00, state=0) at xterm.c:9546
>
> (gdb) p tem
> $21 = (Lisp_Object) 0x0
>
> [...]
>
> (gdb) n
> handle_one_xevent (dpyinfo=0x555557727a00, event=0x7fffffffd5e0,
>     finish=0x555555beabb8 <current_finish>, hold_quit=0x7fffffffd850)
>     at xterm.c:13926

I think your copy of Emacs is very out of date.  Please rebuild and try
again.